# This file is managed manually
#
# NOTE: Renovate will strip any `v` prefix from the versions when it does an upgrade
# so be sure not to include the `v` prefix on version numbers here when adding new
# values, or manually upgrading.
variables:
  GL_COMMON_CI_TASKS_DEFAULT_GITLEAKS_VERSION: "8.24.0"  # datasource=github-releases depName=zricethezav/gitleaks
  GL_COMMON_CI_TASKS_YAMLLINT_VERSION: "1.35.1"  # datasource=github-tags depName=adrienverge/yamllint
  GL_COMMON_CI_TASKS_HCLFMT_VERSION: "2.23.0"  # datasource=github-tags depName=hashicorp/hcl
  GL_COMMON_CI_TASKS_KANIKO_VERSION: "1.23.2"  # datasource=github-releases depName=GoogleContainerTools/kaniko
  GL_COMMON_CI_TASKS_JQ_VERSION: "1.7.1"  # datasource=github-releases depName=jqlang/jq
  GL_COMMON_CI_TASKS_CONFTEST_VERSION: "0.58.0"  # datasource=github-releases depName=open-policy-agent/conftest

  GL_ASDF_CHECKOV_VERSION: 3.2.382  # datasource=github-releases depName=bridgecrewio/checkov

  # These are versions used in the Renovate runner image
  GL_COMMON_RENOVATE_GIT_VERSION: "2.48.1"  # datasource=github-tags depName=git/git
  GL_COMMON_RENOVATE_GOLANG_VERSION: "1.24.1"  # datasource=golang-version depName=golang/go
  GL_COMMON_RENOVATE_JB_VERSION: "0.6.0"  # datasource=github-releases depName=jsonnet-bundler/jsonnet-bundler
  GL_COMMON_RENOVATE_JSONNET_TOOL_VERSION: "1.17.3"  # datasource=gitlab-releases depName=gitlab-com/gl-infra/jsonnet-tool
  GL_COMMON_RENOVATE_NODEJS_VERSION: "22.14.0"  # datasource=node depName=nodejs/node
  GL_COMMON_RENOVATE_RUBY_VERSION: "3.4.2"  # datasource=ruby-version depName=ruby/ruby
  GL_COMMON_RENOVATE_YARN_VERSION: "1.22.22"  # datasource=github-tags depName=yarnpkg/yarn
  GL_COMMON_RENOVATE_YQ_VERSION: "4.45.1"  # datasource=github-releases depName=mikefarah/yq
  GL_COMMON_RENOVATE_PYTHON_VERSION: "3.13.2"  # datasource=github-tags depName=python/cpython
  GL_COMMON_RENOVATE_MISE_VERSION: "2024.11.4"  # [pinned - see: https://gitlab.com/gitlab-com/gl-infra/common-ci-tasks/-/issues/33] datasource=github-releases depName=jdx/mise
